Package org.apache.calcite.avatica.remote

# Class AvaticaRemoteConnectionConfigImpl

java.lang.Object
org.apache.calcite.avatica.ConnectionConfigImpl
org.apache.calcite.avatica.remote.AvaticaRemoteConnectionConfigImpl

All Implemented Interfaces:
  `ConnectionConfig`

public class AvaticaRemoteConnectionConfigImpl extends ConnectionConfigImpl
Implementation of `ConnectionConfig` with extra properties specific to Remote Driver.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.calcite.avatica.ConnectionConfigImpl

`ConnectionConfigImpl.Converter<T>, ConnectionConfigImpl.PropEnv`

## Field Summary

### Fields inherited from class org.apache.calcite.avatica.ConnectionConfigImpl

`BOOLEAN_CONVERTER, IDENTITY_CONVERTER, NUMBER_CONVERTER, properties`

## Constructor Summary

Constructors
Constructor
Description
`AvaticaRemoteConnectionConfigImpl(Properties properties)`

## Method Summary

Modifier and Type
Method
Description
`Service.Factory`
`factory()`

### Methods inherited from class org.apache.calcite.avatica.ConnectionConfigImpl

`authentication, avaticaPassword, avaticaUser, enumConverter, hostnameVerification, httpClientClass, httpClientFactory, kerberosKeytab, kerberosPrincipal, keyPassword, keystore, keystorePassword, parse, pluginConverter, schema, serialization, timeZone, transparentReconnectionEnabled, truststore, truststorePassword, url`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AvaticaRemoteConnectionConfigImpl

public AvaticaRemoteConnectionConfigImpl(Properties properties)

## Method Details

### factory

public Service.Factory factory()

Specified by:
  `factory` in interface `ConnectionConfig`
Overrides:
  `factory` in class `ConnectionConfigImpl`
See Also:
  - `BuiltInConnectionProperty.FACTORY`